<?php
$post_id = get_the_ID();
$count   = get_comments_number( $post_id );

if ( $count == 0 ) {
	$title = esc_html__( 'No Comments', 'artistas' );
} else if ( $count == 1 ) {
	$title = esc_html__( '1 Comment', 'artistas' );
} else {
	$title = $count . esc_html__( ' Comments', 'artistas' );
}
if ( ! comments_open() || ! post_type_supports( get_post_type(), 'comments' ) ) {
	return;
}
?>

<!-- Comments -->
<div id="comments" class="comments">
	<h3 id="comments-title" class="comments-title title"><?php echo wp_kses_post( $title ); ?></h3>
	<?php
	if ( have_comments() ) {
		if ( post_password_required() ) {
			?>
			<div class="artistas-caption"><?php esc_html_e( 'Enter the password to view any comments.', 'artistas' ); ?></div>
			<?php
		} else {
			artistas_comment_nav();
			?>
			<ul class="comment-list">
				<?php
				wp_list_comments( array(
					'avatar_size' => 50,
					'max_depth'   => 5,
					'style'       => 'ul',
					'callback'    => 'artistas_callback_comments',
					'type'        => 'all'
				) );
				?>
			</ul>
			<?php
		}
	}
	?>

	<!-- Respond -->
	<?php
	if ( ! comments_open() || ! post_type_supports( get_post_type(), 'comments' ) ) {
		/**
		 * to do something
		 */
	} else {
		$current_comment = wp_get_current_commenter();
		$require_email   = get_option( 'require_name_email' );
		$aria_required   = $require_email ? 'aria-required="true"' : '';

		if ( empty( $current_comment['comment_author_subject'] ) ) {
			$current_comment['comment_author_subject'] = '';
		}
		$edit_link    = get_edit_user_link();
		$logout_link  = wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) );
		$comment_args = array(
			'title_reply'          => esc_html__( 'LEAVE A COMMENT', 'artistas' ),
			'title_reply_before'   => '<div class="respond-title title">',
			'title_reply_after'    => '</div>',
			'comment_field'        => '<div class="contact-item form-message"><label for="comment-content">' . esc_html__( 'Your Comment *', 'artistas' ) . '</label><textarea id="comment-content" name="comment"  tabindex="4" class="tb-eff" cols="10" rows="7"></textarea></div>',
			'fields'               => apply_filters( 'comment_form_default_fields', array(
				'author' => '<div class="contact-double-item"><div class="contact-item form-name"><label for="author">' . esc_html__( 'Your name *', 'artistas' ) . '</label><input id="author" name="author" ' . $aria_required . ' tabindex="1" value="' . esc_attr( $current_comment['comment_author'] ) . '" type="text"></div>',
				'email'  => '<div class="contact-item form-email"><label for="email">' . esc_html__( 'Your email *', 'artistas' ) . '</label><input id="email" name="email"  ' . $aria_required . ' tabindex="2" value="' . esc_attr( $current_comment['comment_author_email'] ) . '" type="text"></div></div>',
				'url'    => '<div class="contact-item form-url"><label for="url">' . esc_html__( 'Your website *', 'artistas' ) . '</label><input id="url" name="url" tabindex="2" value="' . esc_attr( $current_comment['comment_author_url'] ) . '" type="text"></div>',
			) ),
			'comment_notes_after'  => '',
			'comment_notes_before' => '',
			'logged_in_as'         => '<div class="form-item form-login-logout">' . sprintf( wp_kses( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'artistas' ), array(
					'a'      => array(
						'href'  => array(),
						'title' => array()
					),
					'strong' => array()
				) ), esc_url( $edit_link ), $user_identity, esc_url( $logout_link ) ) . '</div>',

			'label_submit' => esc_html__( 'SEND', 'artistas' ),
			'class_submit' => 'contact-item form-submit'
		);
		comment_form( $comment_args, $post_id );
	}
	?>
	<!-- End Respond -->
</div>
<!-- End Comments -->