<?php
/**
 * Created by PhpStorm.
 * User: Ong Chinh
 * Date: 10/12/2016
 * Time: 9:36 AM
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( "You don't have sufficient permission to access this page" );
}

class ArtistasAdminSetup {

	public function __construct () {

		require_once( trailingslashit( get_template_directory() ) . 'core/TGM_Activation_Plugin/init.php' );
		require_once( trailingslashit( get_template_directory() ) . 'core/user_settings.php' );
		require_once( trailingslashit( get_template_directory() ) . 'core/post_only_settings.php' );
		require_once( trailingslashit( get_template_directory() ) . 'core/theme_options.php' );
		require_once( trailingslashit( get_template_directory() ) . 'core/kd-plugins/functions.php' );

		add_action( 'admin_enqueue_scripts', array( $this, 'artistas_admin_enqueue_assets' ) );
		add_filter( 'wp_head', array( $this, 'artistas_overwrite_theme_options' ), '10' );

	}

	public function artistas_admin_enqueue_assets () {

		wp_enqueue_style( 'artistas_admin_style', trailingslashit( get_template_directory_uri() ) . 'core/assets/css/style.css', '', null, 'all' );
		wp_enqueue_style( 'wp-color-picker' );

		wp_register_script( 'artistas_admin_script', trailingslashit( get_template_directory_uri() ) . 'core/assets/js/script.js', array(
			'jquery',
			'wp-color-picker'
		), null, true );
		wp_enqueue_script( 'artistas_admin_script' );
		wp_enqueue_media();

	}

	public function artistas_overwrite_theme_options () {
		if ( is_single() || is_page() ) {

			global $artistas_theme_options;
			$post_meta = get_post_meta( get_the_ID() );
			$post_type = 'post';
			if ( is_page() ) {
				$post_type = 'page';
			}
			foreach ( ArtistasThemeOptions::config_options() as $id => $section ) {

				if ( $section['id'] == 'general' || $section['id'] == $post_type ) {
					foreach ( $section['fields'] as $field ) {
						$id_field = $field['id'];
						if ( ! empty( $post_meta[ 'artistas_only_' . $id_field ] ) ) {
							if ( $id_field == 'favicon' || $id_field == 'logo' ) {
								$artistas_theme_options[ $id_field ] = array(
									'id' => $post_meta[ 'artistas_only_' . $id_field ][0]
								);
							} else {
								$artistas_theme_options[ $id_field ] = $post_meta[ 'artistas_only_' . $id_field ][0];
							}
						}
					}
				}
			}
		}
	}
}

new ArtistasAdminSetup;