<?php
/**
 * Created by PhpStorm.
 * User: Ong Chinh
 * Date: 10/12/2016
 * Time: 9:20 AM
 */

add_filter( 'rwmb_meta_boxes', 'artistas_settings_only_post' );

function artistas_settings_only_post ( $meta_boxes ) {
	$prefix = 'artistas_only_';

	$meta_boxes[] = array(
		'id'         => 'artistas_post',
		'title'      => esc_html__( 'Additional Settings', 'artistas' ),
		'post_types' => array( 'post' ),
		'context'    => 'normal',
		'priority'   => 'high',
		'autosave'   => true,
		'fields'     => array(
			/* Single Settings */
			array(
				'type' => 'heading',
				'name' => esc_html__( 'Single', 'artistas' ),
				'desc' => esc_html__( 'Overwrite settings in Dashboard > Theme Options > Single', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Post Media', 'artistas' ),
				'id'          => $prefix . 'post_media',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' )
			),
			array(
				'name'        => esc_html__( 'Category', 'artistas' ),
				'id'          => $prefix . 'post_category',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Author', 'artistas' ),
				'id'          => $prefix . 'post_author',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Date', 'artistas' ),
				'id'          => $prefix . 'post_date',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Comments', 'artistas' ),
				'id'          => $prefix . 'post_comments',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Tags', 'artistas' ),
				'id'          => $prefix . 'post_tags',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Share Post', 'artistas' ),
				'id'          => $prefix . 'sharing_post',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Next & Previous', 'artistas' ),
				'id'          => $prefix . 'post_navigation',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Related Posts', 'artistas' ),
				'id'          => $prefix . 'post_related',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Sidebar', 'artistas' ),
				'id'          => $prefix . 'post_sidebar',
				'type'        => 'select',
				'options'     => array(
					'no-sidebar'  => esc_html__( 'No Sidebar', 'artistas' ),
					'left'  => esc_html__( 'Left Sidebar', 'artistas' ),
					'right' => esc_html__( 'Right Sidebar', 'artistas' )
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),

			/* General Settings */
			array(
				'type' => 'heading',
				'name' => esc_html__( 'General', 'artistas' ),
				'desc' => esc_html__( 'Overwrite settings in Dashboard > Theme Options > General', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Preloader', 'artistas' ),
				'id'          => $prefix . 'preloader',
				'type'        => 'select',
				'options'     => array(
					'preloader_1' => esc_html__( 'Preloader 1', 'artistas' ),
					'preloader_2' => esc_html__( 'Preloader 2', 'artistas' )
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			)
		)
	);

	$meta_boxes[] = array(
		'id'         => 'artistas_page',
		'title'      => esc_html__( 'Additional Settings', 'artistas' ),
		'post_types' => array( 'page' ),
		'context'    => 'normal',
		'priority'   => 'high',
		'autosave'   => true,
		'fields'     => array(

			/* Page Settings */
			array(
				'type' => 'heading',
				'name' => esc_html__( 'Page', 'artistas' ),
				'desc' => esc_html__( 'Overwrite settings in Dashboard > Theme Options > Page', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Image Thumbnail', 'artistas' ),
				'id'          => $prefix . 'page_media',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Date', 'artistas' ),
				'id'          => $prefix . 'page_date',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Author', 'artistas' ),
				'id'          => $prefix . 'page_author',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Comments', 'artistas' ),
				'id'          => $prefix . 'page_comments',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Share Page', 'artistas' ),
				'id'          => $prefix . 'sharing_post',
				'type'        => 'select',
				'options'     => array(
					'1' => esc_html__( 'Display', 'artistas' ),
					'0' => esc_html__( 'Hide', 'artistas' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Sidebar', 'artistas' ),
				'id'          => $prefix . 'page_sidebar',
				'type'        => 'select',
				'options'     => array(
					'no-sidebar'  => esc_html__( 'No Sidebar', 'artistas' ),
					'left'  => esc_html__( 'Left Sidebar', 'artistas' ),
					'right' => esc_html__( 'Right Sidebar', 'artistas' )
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			),

			/* General Settings */
			array(
				'type' => 'heading',
				'name' => esc_html__( 'General', 'artistas' ),
				'desc' => esc_html__( 'Overwrite settings in Dashboard > Theme Options > General', 'artistas' ),
			),
			array(
				'name'        => esc_html__( 'Preloader', 'artistas' ),
				'id'          => $prefix . 'preloader',
				'type'        => 'select',
				'options'     => array(
					'preloader_1' => esc_html__( 'Preloader 1', 'artistas' ),
					'preloader_2' => esc_html__( 'Preloader 2', 'artistas' )
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => esc_html__( 'Theme Options', 'artistas' ),
			)
		)
	);

	return $meta_boxes;
}