<?php

/**
 * Created by PhpStorm.
 * User: Ong Chinh
 * Date: 10/12/2016
 * Time: 9:19 AM
 */
class ArtistasThemeOptions {

	public $options_name = 'artistas_theme_options';

	public static function config_options () {

		return array(

			array(
				'title'  => esc_html__( 'General', 'artistas' ),
				'id'     => 'general',
				'icon'   => 'dashicons dashicons-admin-generic',
				'fields' => array(

					array(
						'id'      => 'preloader',
						'type'    => 'select',
						'options' => array(
							'preloader_1' => esc_html__( 'Preloader 1', 'artistas' ),
							'preloader_2' => esc_html__( 'Preloader 2', 'artistas' )
						),
						'default' => 'preloader_1',
						'title'   => esc_html__( 'Preloader', 'artistas' ),
					),

					/* Start Header Settings */
					array(
						'id'     => 'header_open',
						'type'   => 'section',
						'title'  => esc_html__( 'Header Settings', 'artistas' ),
						'indent' => true
					),
					array(
						'id'       => 'favicon',
						'type'     => 'media',
						'title'    => esc_html__( 'Favicon', 'artistas' ),
						'subtitle' => esc_html__( 'Just the small sizes 32x32px are appearing when you upload', 'artistas' ),
						'default'  => array(
							'id'  => '',
							'src' => ''
						)
					),

					// Logo Header Settings

					array(
						'id' => 'logo_type',
						'type' => 'select',
						'title' => esc_html__('Logo format', 'artistas'),
						'options' => array(
							'image' => esc_html__( 'Image', 'artistas' ),
							'text'    => esc_html__( 'Text', 'artistas' )
						),
						'default' => 'text'
					),
					array(
						'id' => 'logo_image',
						'type' => 'media',
						'title' => esc_html__('Logo', 'artistas'),
						'default'  => array(
							'id'  => '',
							'src' => ''
						),
						'required' => array( 'logo_type', 'equals', array( 'image' ) )
					),
					array(
						'id'      => 'logo',
						'type'    => 'text',
						'title'   => esc_html__( 'Logo', 'artistas' ),
						'default' => 'Artistas',
						'required' => array( 'logo_type', '!=', array( 'image' ) )
					),
					array(
						'id'           => 'logo_font',
						'type'         => 'typography',
						'title'        => '',
						'google'       => true,
						'font-backup'  => false,
						'line-height'  => true,
						'text-align'   => false,
						'color'        => true,
						'font-size'    => true,
						'font-style'   => true,
						'font-weight'  => true,
						'word-spacing' => true,
						'subsets'      => false,
						'required' => array( 'logo_type', '!=', array( 'image' ) )
					),
					// End Logo Header Settings
					array(
						'id'      => 'slogan',
						'type'    => 'text',
						'title'   => esc_html__( 'Slogan', 'artistas' ),
						'default' => 'Life isn’t long enough for <span>love and art</span>',
						'required' => array( 'logo_type', '!=', array( 'image' ) )
					),
					array(
						'id'           => 'slogan_font',
						'type'         => 'typography',
						'title'        => '',
						'google'       => true,
						'font-backup'  => false,
						'line-height'  => true,
						'text-align'   => false,
						'color'        => true,
						'font-size'    => true,
						'font-style'   => true,
						'font-weight'  => true,
						'word-spacing' => true,
						'subsets'      => false,
						'required' => array( 'logo_type', '!=', array( 'image' ) )
					),
					array(
						'id'      => 'show_sidebar_second',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Display Sidebar Second In The Left', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'       => 'show_search',
						'type'     => 'checkbox',
						'title'    => esc_html__( 'Display Search Box', 'artistas' ),
						'subtitle' => esc_html__( 'Search box is displayed behind menu on the header site', 'artistas' ),
						'default'  => '0'
					),
					array(
						'id'       => 'show_socials',
						'type'     => 'checkbox',
						'title'    => esc_html__( 'Display Socials', 'artistas' ),
						'default'  => '1',
						'subtitle' => esc_html__( 'List socials is displayed below site logo', 'artistas' )
					),
					array(
						'id'     => 'header_close',
						'type'   => 'section',
						'indent' => false,
					),
					/* End Header Settings */

					/* Footer Settings */
					array(
						'id'     => 'footer_open',
						'type'   => 'section',
						'title'  => esc_html__( 'Footer Settings', 'artistas' ),
						'indent' => true
					),
					array(
						'id' => 'footer_logo_type',
						'type' => 'select',
						'title' => esc_html__('Logo format', 'artistas'),
						'options' => array(
							'image' => esc_html__( 'Image', 'artistas' ),
							'text'    => esc_html__( 'Text', 'artistas' )
						),
						'default' => 'text'
					),
					array(
						'id' => 'footer_logo_image',
						'type' => 'media',
						'title' => esc_html__('Logo', 'artistas'),
						'default'  => array(
							'id'  => '',
							'src' => ''
						),
						'required' => array( 'footer_logo_type', 'equals', array( 'image' ) )
					),
					array(
						'id'      => 'footer_logo',
						'type'    => 'text',
						'title'   => esc_html__( 'Logo', 'artistas' ),
						'default' => 'Artistas',
						'required' => array( 'footer_logo_type', '!=', array( 'image' ) )
					),
					array(
						'id'           => 'footer_logo_font',
						'type'         => 'typography',
						'title'        => '',
						'google'       => true,
						'font-backup'  => false,
						'line-height'  => true,
						'text-align'   => false,
						'color'        => true,
						'font-size'    => true,
						'font-style'   => true,
						'font-weight'  => true,
						'word-spacing' => true,
						'subsets'      => false,
						'required' => array( 'footer_logo_type', '!=', array( 'image' ) )
					),
					array(
						'id'      => 'footer_slogan',
						'type'    => 'text',
						'title'   => esc_html__( 'Slogan', 'artistas' ),
						'default' => 'Life isn’t long enough for <span>love and art</span>',
						'required' => array( 'footer_logo_type', '!=', array( 'image' ) )
					),
					array(
						'id'           => 'footer_slogan_font',
						'type'         => 'typography',
						'title'        => '',
						'google'       => true,
						'font-backup'  => false,
						'line-height'  => true,
						'text-align'   => false,
						'color'        => true,
						'font-size'    => true,
						'font-style'   => true,
						'font-weight'  => true,
						'word-spacing' => true,
						'subsets'      => false,
						'required' => array( 'footer_logo_type', '!=', array( 'image' ) )
					),
					array(
						'id'      => 'footer_slider',
						'type'    => 'select',
						'title'   => esc_html__( 'Footer Slider', 'artistas' ),
						'options' => array(
							'instagram' => esc_html__( 'Get From Instagram', 'artistas' ),
							'flickr'    => esc_html__( 'Get From Flickr', 'artistas' )
						),
						'default' => 'instagram'
					),
					array(
						'id'       => 'footer_slider_text',
						'type'     => 'text',
						'title'    => esc_html__( 'Slider Text', 'artistas' ),
						'desc'     => esc_html__( 'This is displayed on the top of slider images', 'artistas' ),
						'default'  => 'Follow us<a href="#">@kendythemes</a>',
						'required' => array( 'footer_slider', 'equals', array( 'instagram', 'flickr' ) )
					),
					array(
						'id'       => 'instagram_access_token',
						'type'     => 'text',
						'title'    => esc_html__( 'Instagram Access Token', 'artistas' ),
						'desc'     => '<a href="http://instagram.pixelunion.net/" target="_blank">Get Access Token</a>  <br/><br/> Eg: 4067047102.1677ed0.61ce6d184a2a4fc2a18f2f4038ba1b6b',
						'default'  => '4067047102.1677ed0.61ce6d184a2a4fc2a18f2f4038ba1b6b',
						'required' => array( 'footer_slider', 'equals', array( 'instagram' ) )
					),
					array(
						'id'       => 'flickr_id',
						'type'     => 'text',
						'title'    => esc_html__( 'Flickr ID', 'artistas' ),
						'desc'     => '<a href="http://www.idgettr.com/" target="_blank">Get Flickr ID</a>  <br/><br/> Eg: 143994591@N05',
						'default'  => '4067047102.1677ed0.61ce6d184a2a4fc2a18f2f4038ba1b6b',
						'required' => array( 'footer_slider', 'equals', array( 'flickr' ) )
					),

					array(
						'id'      => 'footer_socials',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Display Socials', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'       => 'footer_bottom',
						'type'     => 'checkbox',
						'title'    => esc_html__( 'Copyright Box', 'artistas' ),
						'default'  => '1',
						'subtitle' => esc_html__( 'This include "Copyright & Back to top" in the bottom site', 'artistas' )
					),
					array(
						'id'       => 'footer_copyright',
						'type'     => 'textarea',
						'title'    => esc_html__( 'Copyright', 'artistas' ),
						'default'  => 'All right reserved, designed & developed by <a href="http://kendytheme.net">KendyTheme</a>',
						'required' => array( 'footer_bottom', 'equals', '1' )

					),
					array(
						'id'       => 'footer_back_to_top',
						'type'     => 'text',
						'title'    => esc_html__( 'Back To Top', 'artistas' ),
						'default'  => 'Back To Top',
						'required' => array( 'footer_bottom', 'equals', '1' )
					),
					array(
						'id'     => 'footer_close',
						'type'   => 'section',
						'indent' => false,
					),
					/* Footer Settings */
				)
			),
			array(
				'title'  => esc_html__( 'Featured Slider', 'artistas' ),
				'id'     => 'featured_slider',
				'icon'   => 'dashicons dashicons-format-gallery',
				'fields' => array(
					array(
						'id'      => 'featured_category',
						'type'    => 'select',
						'title'   => esc_html__( 'Category', 'artistas' ),
						'options' => ArtistasThemeOptions::artistas_list_category()
					),
					array(
						'id'      => 'featured_tags',
						'type'    => 'select',
						'title'   => esc_html__( 'Tags', 'artistas' ),
						'options' => ArtistasThemeOptions::artistas_list_tags()
					),
					array(
						'id'      => 'featured_number_post',
						'type'    => 'text',
						'title'   => esc_html__( 'Number Posts', 'artistas' ),
						'default' => '0'
					),
					array(
						'id'      => 'featured_order',
						'type'    => 'select',
						'title'   => esc_html__( 'Order', 'artistas' ),
						'options' => array(
							'DESC' => esc_html__( 'DESC', 'artistas' ),
							'ASC'  => esc_html__( 'ASC', 'artistas' )
						),
						'default' => 'DESC'
					),
					array(
						'id'      => 'featured_order_by',
						'type'    => 'select',
						'title'   => esc_html__( 'Order By', 'artistas' ),
						'options' => array(
							'title'         => esc_html__( 'Title', 'artistas' ),
							'date'          => esc_html__( 'Date', 'artistas' ),
							'comment_count' => esc_html__( 'Comment Count', 'artistas' ),
							'author'        => esc_html__( 'Author', 'artistas' ),
						),
						'default' => ''
					)
				)
			),
			array(
				'title'  => esc_html__( 'Home & Archive', 'artistas' ),
				'id'     => 'home_page',
				'icon'   => 'dashicons dashicons-admin-home',
				'fields' => array(
					array(
						'id'      => 'home_style',
						'type'    => 'select',
						'title'   => esc_html__( 'Layout', 'artistas' ),
						'options' => array(
							'standard'                => esc_html__( 'Standard', 'artistas' ),
							'grid'                    => esc_html__( 'Gid', 'artistas' ),
							'list'                    => esc_html__( 'List', 'artistas' ),
							'grid_1st_large'          => esc_html__( 'Grid 1st Large', 'artistas' ),
							'list_1st_large'          => esc_html__( 'List 1st Large', 'artistas' )
						),
						'default' => ''
					),
					array(
						'id'      => 'home_sidebar',
						'type'    => 'select',
						'title'   => esc_html__( 'Sidebar', 'artistas' ),
						'options' => array(
							'no-sidebar' => esc_html__( 'No Sidebar', 'artistas' ),
							'left'       => esc_html__( 'Left Sidebar', 'artistas' ),
							'right'      => esc_html__( 'Right Sidebar', 'artistas' )
						),
						'default' => 'right'
					),
					array(
						'id'      => 'home_pagination',
						'type'    => 'select',
						'title'   => esc_html__( 'Pagination Page', 'artistas' ),
						'options' => array(
							'number' => esc_html__( 'Number', 'artistas' ),
							'button' => esc_html__( 'Newer & Older Posts Button ', 'artistas' ),
						),
						'default' => 'number'
					),
					array(
						'id'      => 'home_text_new_posts',
						'type'    => 'text',
						'title'   => esc_html__( 'New Posts', 'artistas' ),
						'default' => 'New Posts',
						'required' => array( 'home_pagination', 'equals', 'button' )
					),
					array(
						'id'      => 'home_text_older_posts',
						'type'    => 'text',
						'title'   => esc_html__( 'Older Posts', 'artistas' ),
						'default' => 'Older Posts',
						'required' => array( 'home_pagination', 'equals', 'button' )
					),
					array(
						'id'       => 'archive_detail',
						'type'     => 'checkbox',
						'title'    => esc_html__( 'Archive Detail', 'artistas' ),
						'subtitle' => esc_html__( 'It is display on the below site logo', 'artistas' ),
						'default'  => '1'
					),

					/* Setting for each post */
					array(
						'id'     => 'each_post_open',
						'type'   => 'section',
						'title'  => esc_html__( 'Setting For Each Post', 'artistas' ),
						'indent' => true
					),
					array(
						'id'      => 'home_thumbnail',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Display Thumbnail', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'home_category',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Display Category', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'home_date',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Display Date', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'home_author',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Display Author', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'home_comment_count',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Display Comment Count', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'home_sharing_post',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Display Share Post', 'artistas' ),
						'default' => '1',
					),
					array(
						'id'      => 'home_excerpt_limit',
						'type'    => 'text',
						'title'   => esc_html__( 'Excerpt Limit', 'artistas' ),
						'default' => '',
						'desc'    => esc_html__( 'It is compulsory, you can make empty', 'artistas' )
					),
					array(
						'id'      => 'home_read_more',
						'type'    => 'text',
						'title'   => esc_html__( 'Read More', 'artistas' ),
						'default' => 'Continue Reading',
					),
					array(
						'id'     => 'each_post_close',
						'type'   => 'section',
						'indent' => false,
					)
				)
			),
			array(
				'title'  => esc_html__( 'Single Post', 'artistas' ),
				'id'     => 'post',
				'icon'   => 'dashicons dashicons-welcome-write-blog',
				'fields' => array(
					array(
						'id'      => 'post_media',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Post Media', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'post_category',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Category', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'post_tags',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Tags', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'post_date',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Date', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'post_author',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Author', 'artistas' ),
						'default' => '0'
					),
					array(
						'id'      => 'post_comments',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Comments', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'       => 'post_sharing_post',
						'type'     => 'checkbox',
						'title'    => esc_html__( 'Share Post', 'artistas' ),
						'default'  => '1'
					),
					array(
						'id'      => 'post_navigation',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Next & Previous Posts', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'post_related',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Related Posts', 'artistas' ),
						'default' => '0'
					),
					array(
						'id'       => 'post_text_related',
						'type'     => 'text',
						'title'    => esc_html__( 'Text Related', 'artistas' ),
						'default'  => 'YOU MIGHT ALSO LIKE',
						'required' => array( 'post_related', 'equals', '1' ),
					),
					array(
						'id'      => 'post_sidebar',
						'type'    => 'select',
						'title'   => esc_html__( 'Sidebar', 'artistas' ),
						'options' => array(
							'no-sidebar'      => esc_html__( 'No Sidebar', 'artistas' ),
							'left'  => esc_html__( 'Left Sidebar', 'artistas' ),
							'right' => esc_html__( 'Right Sidebar', 'artistas' )
						),
						'default' => 'right'
					)
				)
			),
			array(
				'title'  => esc_html__( 'Page', 'artistas' ),
				'id'     => 'page',
				'icon'   => 'dashicons dashicons-welcome-widgets-menus',
				'fields' => array(
					array(
						'id'      => 'page_media',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Image Thumbnail', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'page_date',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Date', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'      => 'page_author',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Author', 'artistas' ),
						'default' => '0'
					),
					array(
						'id'      => 'page_comments',
						'type'    => 'checkbox',
						'title'   => esc_html__( 'Comments', 'artistas' ),
						'default' => '1'
					),
					array(
						'id'       => 'page_sharing_post',
						'type'     => 'checkbox',
						'title'    => esc_html__( 'Share Page', 'artistas' ),
						'default'  => '1'
					),
					array(
						'id'      => 'page_sidebar',
						'type'    => 'select',
						'title'   => esc_html__( 'Sidebar', 'artistas' ),
						'options' => array(
							'no-sidebar'      => esc_html__( 'No Sidebar', 'artistas' ),
							'left'  => esc_html__( 'Left Sidebar', 'artistas' ),
							'right' => esc_html__( 'Right Sidebar', 'artistas' )
						),
						'default' => ''
					)
				)
			),
			array(
				'title' => esc_html__('404', 'artistas'),
				'id' => '404',
				'icon' => 'dashicons dashicons-dismiss',
				'fields' => array(
					array(
						'id'      => '404_title',
						'type'    => 'text',
						'title'   => esc_html__( 'Title', 'artistas' ),
						'default' => '4<span>0</span>4',
					),
					array(
						'id'      => '404_sub_title_1',
						'type'    => 'text',
						'title'   => esc_html__( 'Sub Title 1', 'artistas' ),
						'default' => 'OOP! THIS PAGE CAN NOT BE FOUND',
					),
					array(
						'id'      => '404_sub_title_2',
						'type'    => 'text',
						'title'   => esc_html__( 'Sub Title 2', 'artistas' ),
						'default' => 'Maybe searching or one of the links, can help you',
					)
				)

			),
			array(
				'title'  => esc_html__( 'Socials', 'artistas' ),
				'id'     => 'socials',
				'icon'   => 'dashicons dashicons-share',
				'fields' => array(
					array(
						'id'      => 'behance',
						'type'    => 'text',
						'title'   => esc_html__( 'Behance', 'artistas' ),
						'default' => '#',
					),
					array(
						'id'      => 'dribbble',
						'type'    => 'text',
						'title'   => esc_html__( 'Dribbble', 'artistas' ),
						'default' => '#',
					),
					array(
						'id'      => 'facebook',
						'type'    => 'text',
						'title'   => esc_html__( 'Facebook', 'artistas' ),
						'default' => '#',
					),
					array(
						'id'      => 'flickr',
						'type'    => 'text',
						'title'   => esc_html__( 'Flickr', 'artistas' ),
						'default' => '#',
					),
					array(
						'id'      => 'google_plus',
						'type'    => 'text',
						'title'   => esc_html__( 'Google Plus', 'artistas' ),
						'default' => '#',
					),
					array(
						'id'      => 'instagram',
						'type'    => 'text',
						'title'   => esc_html__( 'Instagram', 'artistas' ),
						'default' => '#',
					),
					array(
						'id'      => 'linkedin',
						'type'    => 'text',
						'title'   => esc_html__( 'Linkedin', 'artistas' ),
						'default' => '',
					),
					array(
						'id'      => 'mail',
						'type'    => 'text',
						'title'   => esc_html__( 'Mail', 'artistas' ),
						'default' => '',
					),
					array(
						'id'      => 'pinterest',
						'type'    => 'text',
						'title'   => esc_html__( 'Pinterest', 'artistas' ),
						'default' => '',
					),
					array(
						'id'      => 'skype',
						'type'    => 'text',
						'title'   => esc_html__( 'Skype', 'artistas' ),
						'default' => '',
					),
					array(
						'id'      => 'tumblr',
						'type'    => 'text',
						'title'   => esc_html__( 'Tumblr', 'artistas' ),
						'default' => '',
					),
					array(
						'id'      => 'twitter',
						'type'    => 'text',
						'title'   => esc_html__( 'Twitter', 'artistas' ),
						'default' => '',
					),
					array(
						'id'      => 'vimeo',
						'type'    => 'text',
						'title'   => esc_html__( 'Vimeo', 'artistas' ),
						'default' => '',
					),
					array(
						'id'      => 'yahoo',
						'type'    => 'text',
						'title'   => esc_html__( 'Yahoo', 'artistas' ),
						'default' => '',
					),
					array(
						'id'      => 'youtube',
						'type'    => 'text',
						'title'   => esc_html__( 'Youtube', 'artistas' ),
						'default' => '',
					),

				),

			),
			array(
				'title'  => esc_html__( 'Advance', 'artistas' ),
				'id'     => 'advance',
				'icon'   => 'dashicons dashicons-admin-tools',
				'fields' => array(
					array(
						'id' => 'main_color',
						'type' => 'color',
						'title' => esc_html__( 'Main Color', 'artistas'),
						'default' => '#f97339',
						'validate' => 'color_rgba',
					),
					array(
						'id'           => 'body_font',
						'type'         => 'typography',
						'title'        => esc_html__( 'Body Font', 'artistas' ),
						'google'       => true,
						'font-backup'  => false,
						'line-height'  => true,
						'text-align'   => false,
						'color'        => true,
						'font-size'    => true,
						'font-style'   => true,
						'font-weight'  => true,
						'word-spacing' => true,
						'subsets'      => false
					),
					array(
						'id'           => 'menu_font',
						'type'         => 'typography',
						'title'        => esc_html__( 'Menu Font', 'artistas' ),
						'google'       => true,
						'font-backup'  => false,
						'line-height'  => true,
						'text-align'   => false,
						'color'        => true,
						'font-size'    => true,
						'font-style'   => true,
						'font-weight'  => true,
						'word-spacing' => true,
						'subsets'      => false
					),
					array(
						'id'           => 'title_font',
						'type'         => 'typography',
						'title'        => esc_html__( 'Title Font', 'artistas' ),
						'google'       => true,
						'font-backup'  => false,
						'line-height'  => false,
						'text-align'   => false,
						'color'        => true,
						'font-size'    => false,
						'font-style'   => false,
						'font-weight'  => false,
						'word-spacing' => false,
						'subsets'      => false
					),
					array(
						'id'      => 'custom_js',
						'type'    => 'ace_editor',
						'title'   => esc_html__( 'Custom Javascript', 'artistas' ),
						'mode'    => 'javascript',
						'theme'   => 'monokai',
						'default' => ''
					),
					array(
						'id'      => 'custom_css',
						'type'    => 'ace_editor',
						'title'   => esc_html__( 'Custom CSS', 'artistas' ),
						'mode'    => 'css',
						'theme'   => 'monokai',
						'default' => ''
					),
				)
			)
		);
	}

	public function __construct () {

		$this->artistas_configs();
		$this->artistas_list_tags();
	}

	public static function artistas_list_category () {

		$categories = get_categories();
		$output     = array();

		foreach ( $categories as $cat ) {
			$output[ $cat->slug ] = $cat->name;
		}

		return $output;
	}

	public static function artistas_list_tags () {

		$tags = get_tags();

		$output = array();

		foreach ( $tags as $tag ) {
			$output[ $tag->slug ] = $tag->name;
		}

		return $output;
	}

	public function artistas_configs () {

		Redux::setArgs(
			$this->options_name,
			array(
				'opt_name'            => $this->options_name,
				'display_name'        => esc_html__( 'Theme Options', 'artistas' ),
				'display_version'     => '1.0',
				'menu_type'           => 'menu',
				'menu_title'          => esc_html__( 'Theme Options', 'artistas' ),
				'page_slug'           => 'artistas-options',
				'page_title'          => esc_html__( 'Theme Options', 'artistas' ),
				'allow_sub_menu'      => true,
				'admin_bar'           => true,
				'admin_bar_icon'      => 'dashicons-portfolio',
				'admin_bar_priority'  => 50,
				'show_options_object' => false
			)
		);

		$config = $this->config_options();

		foreach ( $config as $section ) {
			Redux::setSection( $this->options_name, $section );
		}
	}
}

if ( ! class_exists( 'Redux' ) ) {
	return;
}
new ArtistasThemeOptions;