<?php get_header(); ?>

<?php
global $artistas_theme_options;
?>

<!-- Posts -->
<div class="wrapper-content clearfix" <?php
if ( ! empty( $artistas_theme_options['post_sidebar'] ) ) {
	echo 'data-sidebar="' . esc_attr( $artistas_theme_options['post_sidebar'] ) . '"';
}
?>>
	<div class="kd-container">
		<div class="kd-row">
			<div class="wrapper-posts">
				<div class="kd-col">
					<div class="blog-posts post-single">
						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
							<?php
							if ( ! empty( $artistas_theme_options['post_media'] ) && $artistas_theme_options['post_media'] === '1' ) {
								artistas_post_media();
							}
							?>

							<div class="post-content">
								<?php
								if ( ! empty( $artistas_theme_options['post_category'] ) && $artistas_theme_options['post_category'] === '1' ) {
									?>
									<div class="post-cat">
										<?php echo get_the_category_list(); ?>
									</div>
									<?php
								}
								?>

								<h2 class="title"><?php the_title(); ?></h2>

								<?php
								if ( ( ! empty( $artistas_theme_options['post_date'] ) && $artistas_theme_options['post_date'] === '1' ) ||
								     ( ! empty( $artistas_theme_options['post_author'] ) && $artistas_theme_options['post_author'] === '1' )
								) {
									?>
									<div class="post-detail">
										<?php
										if ( ! empty( $artistas_theme_options['post_date'] ) && $artistas_theme_options['post_date'] === '1' ) {
											artistas_post_date();
										}

										if ( ! empty( $artistas_theme_options['post_author'] ) && $artistas_theme_options['post_author'] === '1' ) {
											artistas_post_author();
										}
										?>
									</div>
									<?php
								}
								?>

								<div class="the-excerpt">
									<?php
									the_content();
									wp_link_pages();

									if ( ! empty( $artistas_theme_options['post_tags'] ) && $artistas_theme_options['post_tags'] === '1' ) {
										the_tags( ' <div class="post-tags tagcloud">', '', '</div>' );
									}
									?>
								</div>

								<?php artistas_footer_post( $artistas_theme_options, 'post_comments', 'post_sharing_post' ); ?>

							</div>

						</article>

						<?php
						if ( ! empty( $artistas_theme_options['post_navigation'] ) && $artistas_theme_options['post_navigation'] === '1' ) {

							$prev_id = get_previous_post();
							$next_id = get_next_post();

							if ( ! empty( $prev_id ) || ! empty( $next_id ) ) {
								?>
								<!-- Pagination -->
								<div class="pagination-wrap">
									<div class="kd-navigation">

										<?php
										if ( ! empty( $next_id ) ) {
											?>
											<div class="new-post">
												<a href="<?php echo esc_url( get_permalink( $next_id ) ); ?>">
													<?php esc_html_e( 'New Post', 'artistas' ); ?>
												</a>
											</div>
											<?php
										}

										if ( ! empty( $prev_id ) ) {
											?>
											<div class="old-post">
												<a href="<?php echo esc_url( get_permalink( $prev_id ) ); ?>">
													<?php esc_html_e( 'Older Post', 'artistas' ); ?>
												</a>
											</div>
											<?php
										}
										?>

									</div>
								</div>
								<!-- End Pagination -->
								<?php
							}
						}

						if ( ! empty( $artistas_theme_options['post_author'] ) && $artistas_theme_options['post_author'] === '1' ) {
							artistas_author_box( $artistas_theme_options );
						}

						if ( ! empty( $artistas_theme_options['post_related'] ) && $artistas_theme_options['post_related'] === '1' ) {

							$post_id = get_the_ID();
							$cat_ids = array();;
							$categories = get_the_category( $post_id );

							if ( ! empty( $categories ) ) {
								foreach ( $categories as $cat ) {
									$cat_ids[] = $cat->term_id;
								}
							}
							$related_query = array(
								'category__in'        => $cat_ids,
								'posts_per_page'      => 3,
								'post__not_in'        => array( $post_id ),
								'ignore_sticky_posts' => true,
								'orderby'             => 'rand'
							);

							query_posts( $related_query );

							if ( have_posts() ) {
								?>
								<!-- Related Posts -->
								<div id="related-posts" class="related-posts">
									<div class="related-wrap">
										<?php
										if ( ! empty( $artistas_theme_options['post_text_related'] ) ) {
											?>
											<h2 class="title"><?php echo wp_kses_post( $artistas_theme_options['post_text_related'] ) ?></h2>
											<?php
										}
										?>
										<table class="related-table">
											<tbody>
											<tr>
												<?php
												while ( have_posts() ) {
													the_post();

													$image = artistas_get_image_thumbnail( 'large' );
													?>
													<td>
														<div class="related-item">
															<a href="<?php the_permalink(); ?>">
																<?php
																if ( ! empty( $image ) ) {
																	?>
																	<div class="image" style="background-image: url(<?php echo esc_url( $image ); ?>)">
																		<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( get_the_title() ); ?>" />
																	</div>
																	<?php
																} else {
																	?>
																	<div class="image"></div>
																	<?php
																}
																?>
															</a>
															<div class="related-content">
																<h3 class="title">
																	<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
																</h3>
																<?php
																$archive_year  = get_the_time( 'Y' );
																$archive_month = get_the_time( 'm' );

																?>
																<a href="<?php echo esc_url( get_month_link( $archive_year, $archive_month ) ); ?>" class="item-meta">
																	<span>
																		<?php echo get_the_date(); ?>
																	</span>
																</a>
																<?php
																?>
															</div>
														</div>
													</td>
													<?php
												}
												?>
											</tr>
											</tbody>
										</table>
									</div>
								</div>
								<!-- End Post Author Box -->
								<?php
							}
							wp_reset_query();
						}

						if ( ! empty( $artistas_theme_options['post_comments'] ) && $artistas_theme_options['post_comments'] === '1' ) {
							comments_template();
						}
						?>
					</div>
				</div>
			</div>

			<?php
			if ( ! empty( $artistas_theme_options['post_sidebar'] ) && $artistas_theme_options['post_sidebar'] != 'no-sidebar' ) {
				get_sidebar();
			}
			?>
		</div>
	</div>

</div>
<!-- End Posts -->
<?php get_footer(); ?>
